RMagick 2.13.2
    o Fixed issues preventing RMagick from working with version 6.8 or higher
    o Fixed issues preventing RMagick from working with ruby 1.9.3	
	
RMagick 2.13.1
    o Fixed bug preventing RMagick from working with version 6.5.9 or higher

RMagick 2.13.0
    o Added Doxygen documentation, for automatic documentation
    o Fixed bug #27467, get RMagick to compile witH ImageMagick 6.5.7
    o Fixed bug #27607, switch Pixel#from_hsla and Pixel#to_hsla to use ranges
      0-255 instead of 0-100 for saturation and lightness (range used by 
      ImageMagick 6.5.6-5 and higher). Also added ability to specify all
      arguments to these functions as percentages (bug report by Arthur Chan).
	

RMagick 2.12.2
    o Add feature tests for SinusoidFunction and PolynomialFunction enum
      values to allow compiling with ImageMagick 6.4.8-7 (bug report by Mark
      Richman)

RMagick 2.12.1
    o Fix bug #27239, allow 2.12.0 to compile with older releases of ImageMagick
      (bug report by Sam Lown)

RMagick 2.12.0
    o Added Image#function_channel (available in ImageMagick 6.4.8-8)
    o Added Image#auto_level_channel, Image#auto_gamma_channel (available in
      ImageMagick 6.5.5-1)
    o Added Draw#interline_spacing, #interline_spacing= (available in
      ImageMagick 6.5.5-8)

RMagick 2.11.1
    o Applied Alexey Borzenkov's mingw patches to extconf.rb.
    o Fixed a bug in Magick.trace_proc that could cause a segv at program exit
      with Ruby 1.9.1 (bug report by Larry Young)
    o Added new CompressionType enum values ZipSCompression, PixCompression,
      Pxr24Compression, B44Compression, B44ACompression (available in
      ImageMagick 6.5.5-4)

RMagick 2.11.0
    o Fix bug #26475, dissolve and watermark don't work with new versions of
      ImageMagick (reported by Jim Crate)
    o Add Image#composite_mathematics (available in ImageMagick 6.5.4-3)
    o Add new LinearDodgeCompositeOp, LinearBurnCompositeOp,
      PegtopCompositeOp, PinLightCompositeOp, VividLightCompositeOp enum values
      (available in ImageMagick 6.5.4-3)

RMagick 2.10.0
    o ImageMagick releases earlier than 6.3.5-10 and Ruby releases earlier
      than 1.8.5 no longer supported.
    o (Experimental) Support the use of Ruby managed memory for all memory
      allocations (available in ImageMagick 6.5.3-10)
    o Add Image#selective_blur_channel (available in ImageMagick 6.5.0-3)
    o Add new AlphaBackgroundChannel enum value (available in ImageMagick
      6.5.2-5)
    o Add new DistortCompositeOp enum value (available in ImageMagick 6.5.3-7)

RMagick 2.9.2
    o Add new HorizontalTileEdgeVirtualPixelMethod,
      VerticalTileEdgeVirtualPixelMethod, CheckerTileVirtualPixelMethod
      VirtualPixelMethod enum values (available in ImageMagick 6.5.0-1)
    o Added BilinearForwardDistortion, BilinearReverseDistortion enums
      (available in ImageMagick 6.5.1-2)
    o Add missing composite operators to Magick::Draw#composite method
    o Add warning about dropping support for ImageMagick < 6.3.5 and
      Ruby < 1.8.5
    o Fix bug #25892, stack buffer overflow in Magick::TypeMetric.to_s
      (reported by Roman Simecek)

RMagick 2.9.1
    o Fix a bug that prevents the use of transparent background colors when
      built with ImageMagick 6.4.9-0

RMagick 2.9.0
    o Fix #23209, improve RVG's letter spacing (patch from Jonah Fox)
    o Add Draw#kerning= attribute (available in ImageMagick 6.4.7-8)
    o Add Draw#interword_spacing= attribute (available in ImageMagick
      6.4.8-0)
    o Add Draw#kerning, Draw#interword_spacing primitive methods (available in
      ImageMagick 6.4.8-3)
    o Feature #23171, support ImageList, Draw, Pixel marshaling.
    o Support all the new EvaluateOperator constants

RMagick 2.8.0
    o Add the endian, scene, and transparent_color attributes to Image::Info
    o Deprecate Image#endian= attribute setter
    o Add the transparent_chroma method to the Image class (available in
      ImageMagick 6.4.5-6)
    o Add the sparse_color method to the Image class (available in ImageMagick
      6.4.3)
    o Update Image#change_geometry to work with the new ParseSizeGeometry API
      in ImageMagick 6.4.6-9.

RMagick 2.7.2
    o Fix bug #22740, some Image::Info attribute values are not propogated to
      the image object (bug report by Thomas Watson)

RMagick 2.7.1
    o Fix bug #22471, Magick::fonts can abend on 64-bit systems (bug report and
      patch by James Le Cuirot)
    o ImageList.new accepts a block which is passed on to Image::read when
      reading the input  images. The block is executed in the context of an
      Image::Info object.
    o Add support for the "user" image property.
    o Define the Magick::FatalImageMagickError exception class, raised if
      ImageMagick raises a fatal (unrecoverable) exception.
    o Added feature #22618, Image#total_ink_density (request by F. Behrens)

RMagick 2.7.0
    o Fix bug #22152, extconf.rb does not respect the LDFLAGS environment
      variable (bug report by Joseph Sokol-Margolis)
    o Fix bug #22190, the NoDitherMethod enum value is not defined in
      ImageMagick 6.4.2
    o Add the TrimBoundsLayer ImageLayerMethod enum value (available in
      ImageMagick 6.4.3-8)
    o Add the CopyAlphaChannel, ExtractAlphaChannel, OpaqueAlphaChannel,
      ShapeAlphaChannel, and TransparentAlphaChannel AlphaChannelType enum
      values (available in ImageMagick 6.4.3-7)
    o Rename Image#affinity and ImageList#affinity to Image#remap and
      ImageList#remap. Retain the old names as aliases. (Changed in ImageMagick
      6.4.4-0)

RMagick 2.6.0
    o Fix bug #21237, Image::write ignores format attribute when called with a
      Tempfile pathname (bug report by Jack Shedd)
    o Fix bug #21897, ImageList#from_blob abends when certain corrupt JPEG
      images are used (bug report by Peter Szabo)
    o Add Image#composite_tiled, Image#composite_tiled! (ref:
      http://rubyforge.org/forum/forum.php?thread_id=27347&forum_id=33)
    o Add Image#deskew (available with ImageMagick 6.4.2-5)
    o Add Image#define, Image#undefine (available in ImageMagick 6.3.6)
    o Add Image#level_colors (available in ImageMagick 6.4.2-1)
    o Add Image#levelize_channel (available in ImageMagick 6.4.2-1)
    o Add Image#affinity, ImageList#affinity (available in ImageMagick 6.4.3-6).
      These methods replace Image#map and ImageList#map.
    o Accept DitherMethod values for the dither argument to Image#quantize,
      ImageList#quantize
    o Add the BarrelDistortion, PolynomialDistortion, ShepardsDistortion,
      PolarDistortion, and DePolarDistortion MagickDistortion Method enum values
      (available in ImageMagick 6.4.2-6)
    o Add the HorizontalTileVirtualPixelMethod and
      VerticalTileVirtualPixelMethod VirtualPixelMethod enum values
      (available in ImageMagick 6.4.2-6)
    o Add DitherMethod enum class
    o Added general-purpose OptionalMethodArguments class to handle ad-hoc
      optional arguments.
    o Support optional "distort:viewport" and "distort:scale" arguments to
      Image#distort
    o Support optional highlight_color and lowlight_color arguments
      to Image#compare_channel

RMagick 2.5.2
    o Add support for MergeLayer to Magick::ImageList#optimize_layers (patch
      #21189, submitted by Andrew Watson)
    o Add PowQuantumOperator argument for Image#quantum_operator (available
      in ImageMagick 6.4.1-9)

RMagick 2.5.1
    o Update Pixel#to_color to work with the new QueryMagickColorname API in
      ImageMagick 6.4.1-9.

RMagick 2.5.0
    o Added Image#add_compose_mask, #delete_compose_mask (feature #20531)

RMagick 2.4.0
    o Added Image#image_type= (feature #20490)

RMagick 2.3.0
    o Added Image#encipher, Image#decipher (available with ImageMagick 6.3.8-6)
    o Added DTX1Compression, DTX1Compression, and DTX1Compression
      CompressionType enums (available in ImageMagick 6.3.9-4)
    o Added optional "use hex format" argument to Pixel#to_color
    o Support :area resource type in Magick.limit_resource
    o Pixel.from_HSL and Pixel#to_HSL are deprecated. Use Pixel.from_hsla
      and Pixel#to_hsla instead. The new methods rely on the ImageMagick 6.3.5
      and later API.
    o The Image#alpha and alpha= attributes are deprecated. Use alpha() and
      alpha? instead.
    o The Image#mask= attribute is deprecated. Use mask() instead.
    o The use of Ruby older than version 1.8.4 with RMagick is deprecated and
      will not be supported in a future release.
    o Fix bug #18271, rvg width and height attributes wrong after a call to
      viewbox (reported by Greg Jarman)

RMagick 2.2.2
    o Fix bug #18016, add test for InitializeMagick in libMagickCore to
      extconf.rb

RMagick 2.2.0
    o Added Image#opaque_channel, Image#paint_transparent (available with
      ImageMagick 6.3.7-10)
    o Added Image#liquid_rescale (available with ImageMagick 6.3.8-2)
    o Added CMYColorspace ColorspaceType value
    o Fixed bug #17148, compiler error message on Solaris (bug report by Trever
      Wennblom)
    o Fixed bug #17470, get_exif_by_number, get_exif_by_entry may fail when
      called with one or more arguments

RMagick 2.1.0
    o Added Image::Info#caption= attribute
    o Rename Image#crop_resized, #crop_resized! to #resize_to_fill,
      #resize_to_fill!. Add aliases for the old names.
    o Fix bug #16776, in the axes.rb example the last 2 arguments to
      border.rectangle are swapped (bug report by Alain Feler)
    o Fix bug #16931, apostrophe in #error directive causes error in some
      versions of GCC (bug report by Justin Dossey)

RMagick 2.0.0
    o Replaced configure/make/make install with standard Ruby setup.rb,
      extconf.rb
    o Removed support for Ruby earlier than 1.8.2
    o Removed support for GraphicsMagick. As a result these methods are no
      longer available: Image#grayscale_pseudo_class, Image#statistics.
    o Removed support for all releases of ImageMagick earlier than 6.3.0.
    o Removed deprecated Image#random_channel_threshold. Use
      Image#random_threshold_channel instead
    o Removed deprecated Image#channel_threshold. Use
      Image#random_threshold_channel instead
    o Removed unecessary Image#montage=
    o Removed unecessary and undocumented Image#image_type=
    o Removed deprecated Image::Info#tile_info, tile_info= attributes.
    o Removed deprecated Image::Info#tile, tile= attributes. Use #extract,
      #extract= instead
    o Removed deprecated Image::Info#subimage, subimage= attributes. Use
      scene, scene= instead
    o Removed deprecated Image::Info#subrange, subrange= attributes. Use
      number_scenes, number_scenes= instead
    o Removed deprecated Magick.set_monitor. Use Image#set_monitor,
      Image::Info#set_monitor instead
    o Removed deprecated RunlengthEncodedCompression CompressionType. Use
      RLECompression instead
    o Deprecated Image#matte, matte= with ImageMagick 6.3.5 and later
    o Added Image::Info#stroke=, stroke_width= and undercolor= attributes
    o Added Image::Info#tile_offset= attribute
    o Added Draw#fill_pattern= and #stroke_pattern= annotate attributes
    o Changed Image::Info[] and Image::Info[]= to allow an omitted "format"
      argument
    o Added Image#destroy!, destroyed?, check_destroyed methods
    o Support Image object creation/destruction tracing with the
      Magick.trace_proc attribute
    o Added Magick::QuantumRange. Magick::MaxRGB is deprecated.
    o Added OptimizeTransLayer, RemoveDupsLayer, RemoveZeroLayer,
      OptimizeImageLayer ImageLayerMethods enum values (available with
      ImageMagick 6.3.3),
      MosaicLayer, FlattenLayer (available with ImageMagick 6.3.6)
    o RMagick works with Q32 version of ImageMagick
    o Added ChangeMaskCompositeOp, DivideCompositeOp, LinearLightCompositeOp
      CompositeOperator enum values
    o Added SplineInterpolatePixel InterpolatePixelMethod enum value
    o Added DitherVirtualPixelMethod, RandomVirtualPixelMethod,
      BlackVirtualPixelMethod, GrayVirtualPixelMethod, WhiteVirtualPixelMethod
      (available with ImageMagick 6.3.5), and MaskVirtualPixelMethod (available
      with ImageMagick 6.3.3) VirtualPixelMethod enum values
    o Added GIFInterlace, JPEGInterlace, PNGInterlace Interlace type enum
      values (available with ImageMagick 6.3.4)
    o Added SentinelFilter FilterTypes enum value (available in ImageMagick
      6.3.6)
    o Added Image.combine
    o Added Image#separate (available with ImageMagick 6.3.2)
    o Added Image#distort (available with ImageMagick 6.3.5)
    o Added Image#each_pixel (thanks to Russell Norris for the suggestion and
      code)
    o Added Image#histogram? (available with ImageMagick 6.3.5)
    o Added Image#sync_profiles  (available with ImageMagick 6.3.2)
    o Added Image#extent (available with ImageMagick 6.3.1)
    o Added Image#excerpt, Image#excerpt! (available with ImageMagick 6.3.5)
    o Added Image::Info#attenuate
    o Added Image#clut_channel (available with ImageMagick 6.3.5)
    o Feature Request #16264, added ImageList#composite_layers (available with
      ImageMagick 6.3.3, request from Steve Martocci)
    o Added Image#alpha= (available with ImageMagick 6.3.5)
    o Added Image#gravity=
    o Added Image#equalize_channel (available with ImageMagick 6.3.6)
    o Added new FilterTypes values KaiserFilter, WelshFilter, ParzenFilter,
      LagrangeFilter, BohmanFilter, BartlettFilter (available with ImageMagick
      6.3.6)
    o Fix bug #10339, Image#trim does not support "reset page information
      option" (bug report from Nobody)
    o Renamed RMagick.so to RMagick2.so to prevent confusion between RMagick.rb
      and RMagick.so
    o Feature Request #16276, re-organize doc to not split Image method pages
      in the middle of an initial letter (request from Roy Leban)
    o Updated for ImageMagick 6.3.7-5
    o Made changes as necessary to work with current Ruby 1.9.0

RMagick 1.15.12
    o Fix bug #16221, starting with ImageMagick 6.3.2, get_exif_by_entry/number
      returns empty array/hash when no arguments are specified, even though the
      image has EXIF data (bug report from Paul Clegg)

RMagick 1.15.11
    o Fix bug #15887, the x_ and y_resolution attributes don't respect the units
      attribute (bug report from Ben Greenburg)
    o Fix bug #15889, memory leak in Draw#composite method (bug report from Till
      Vollmer)

RMagick 1.15.10
    o Update Magick::Pixel.from_HSL, #to_HSL to work with new APIs in
      ImageMagick 6.3.5-9.

RMagick 1.15.9
    o Fixed bug #12089 (bug report from Hans de Graaff)

RMagick 1.15.8
    o Fixed bug #12671, incorrect link in HTML doc (bug report from Thomas R.
      Koll
    o Fixed bug #11890, incorrect usage description for Draw#text_undercolor in
      HTML doc (bug report from Ezra Freedman)
    o Fixed bug #12706, specifying both a gravity and offsets to Image#composite
      positions the composite image incorrectly (bug report from Benoit Larroque)

RMagick 1.15.7
    o Fix bug #11033, make distclean misses some files (bug report from Lucas
      Nussbaum)
    o Work around SetMagickRegistry problem in ImageMagick 6.3.4-7

RMagick 1.15.6
    o Fix bug #10070, memory leak in Draw#get_type_metrics,
      Draw#get_multiline_type_metrics, Draw#annotate (bug report from Sinclair
      Bain)
    o Fix bug #10080, scripts in examples directory should not be marked
      executable (bug report from Lucas Nussbaum)

RMagick 1.15.5
    o Fix bug #9637, export_pixels always exports all 0's for 1-bit images (bug
      report from Doug Patterson)

RMagick 1.15.4
    o Fix bug #8927, RMagick and rbgsl both export the name ID_call (bug report
      from Shin Enomoto)

RMagick 1.15.3
    o Fix bug #8697, Image::Info.fill= doesn't work when creating "caption:"
      format images (bug report from choonkeat)

RMagick 1.15.2
    o Fix bug #8408, a compatibility problem with some versions of ImageMagick
      before 6.2.5 (bug report from Geir Gluckstad)

RMagick 1.15.1
    o Fix bug #8307, compatibility problems with older (6.0.x) versions of
      ImageMagick (bug report from Chris Taggart)

RMagick 1.15.0
    o Added fx method to ImageList class
    o Added wet_floor method to the Image class
    o Added linear_stretch method to the Image class (available with
      ImageMagick 6.3.1-1)
    o Added recolor method to the Image class (available with ImageMagick 6.3.1-3)
    o Added polaroid method to the Image class (available with ImageMagick 6.3.1-6)
    o Added origin attribute to the Image::Info class (supported by
      ImageMagick 6.3.1-4 and later)
    o Added PaletteBilevelMatteType to the ImageType enum
    o Fix bug #6260, some RVG examples produce all-black GIF images
    o Fix bug #7034, fix the matte method in the Draw class
    o Fix bug #7373, default channels should be RGB instead of RGBA
    o Fix bug #7716, Pixel#intensity wrong for gray images (bug report from
      Morio Miki)
    o Fix bug #7949, Magick::Draw.new abends when an exception occurs before
      the draw object is fully initialized (bug report from Andrew Kaspick)
    o Fix bug #8015, Magick::Draw.new doesn't call the optional arguments block
      in the right scope (bug report from Andrew Kaspick)
    o Tested with ImageMagick 6.3.2-0

RMagick 1.14.1
    o Handle change to the type of the ColorInfo.color field introduced by
      ImageMagick 6.3.0

RMagick 1.14.0
    o Feature request #5015, support CMYK->RGB conversions. Added the
      add_profile and delete_profiles to the Image class. Fixed the profile!,
      iptc_profile, and color_profile methods. Added the
      black_point_compensation attribute. (requested by Niklas Ekman)
    o Added adaptive_blur, adaptive_blur_channel, find_similar_region, sketch
      methods to the Image class (available with ImageMagick 6.2.8-6)
    o Added adaptive_resize to the Image class (available with
      ImageMagick 6.2.9)
    o Added resample method to the Image class (thanks to Ant Peacocke for the
      idea)
    o Added four new compositing methods to the Image class: blend, displace,
      dissolve, and watermark
    o Feature request #5418, add get_iptc_dataset and each_iptc_dataset to the
      Image class (requested by Oliver Andrich)
    o Added the bias and mask attributes to the Image class
    o Added optional qualifier argument to Image#rotate
    o Patch #5742 from Douglas Sellers, adds channel method to the Image::Info
      class.
    o Added new ChannelType enum values
    o Added texture= attribute writer to the Image::Info class
    o Added tile= attribute writer to the Draw class
    o Added  pixel_interpolation_method attribute, InterpolatePixelMethod enum
      class to the Image class (available with ImageMagick 6.2.9)
    o Added "Magick Command Options and Their Equivalent Methods" page to the
      documentation
    o Fix bug #5079, Image#quantum_operator method doesn't work (bug report
      from Pedro Martins)
    o Fix bug #5080, incorrect RVG images when non-0 values used for the min_x
      or min_y arguments to RVG#viewbox (bug report from Daniel Harple)
    o Fix bug #5370, the clip_mask= attribute doesn't work
    o Fix bug #5506, wrong argument used to intialize AffineMatrix (bug
      report from Michael Shantzis)

RMagick 1.13.0
    o Added transform, transform!, transpose, transpose! methods to Image class
      (available with ImageMagick 6.2.8)
    o Feature #4844, add auto_orient, auto_orient! methods to Image class
      (suggestion from John Oordopjes, available with ImageMagick 6.2.8)
    o Added adaptive_sharpen, adaptive_sharpen_channel methods to Image class
      (available with ImageMagick 6.2.7)
    o Added composite_image_channel, composite_image_channel! methods to Image
      class (added in ImageMagick 6.2.6)
    o Added radial_blur_channel method to Image class (available in
      ImageMagick 6.2.4)
    o Fix bug #4806, add hash, eql? methods to Pixel class (bug report from
      Tim Pease)
    o Change extension filename to match RubyGems 0.9.0 expectations.
    o Fix bug #4821, correct doc for Image#rotate (bug report from Tim Pease)
    o Update the Draw#annotate documentation

RMagick 1.12.0
    o Fix bug #4630, the new signature for #level is incompatible with
      releases prior to 1.10.1 (bug report from Al Evans)

RMagick 1.11.1
    o Fix bug #4511, add Makefile, rmagick_config.h as dependencies
      in the Makefile (bug report from Eric Hodel)
    o Ensure ExceptionInfo structures are freed

RMagick 1.11.0
    o Feature #3705, add resize_to_fit (thanks to Robert Manni for the code)
    o Added optimize_layers method to the ImageList class (available with
      ImageMagick 6.2.6)
    o Added limit_resource method to the Magick module
    o Replaced install.rb with setup.rb, improved gem install
      (bug report from Ryan Davis)
    o Added --disable-htmldoc option to setup.rb
    o Fix bug #4104, incorrect label on example (reported by Jason Lee)
    o Added contrast_stretch_channel to the Image class (available with
      ImageMagick 6.2.6)
    o Improved Magick exception handling to eliminate memory leaks when an exception
      is rescued and execution continues.
    o Tested with ImageMagick 6.2.7

RMagick 1.10.1
    o Fix bug #3437, memory leak in ImageList#to_blob
    o Fix bug #3363, Image#composite doesn't work when the source image
      is bigger than the destination
    o Fix bug #3635, Image#import_pixels doesn't accept FloatPixel or DoublePixel
      storage types
    o Feature #3597, add border_color attribute to the Draw class

RMagick 1.10.0
    o Added add_noise_channel method to Image class (available with ImageMagick 6.2.5)
    o Added vignette method to the Image class (available with ImageMagick 6.2.6)
    o Added crop_resize method to the Image class (thanks to Jerret Taylor for
      the suggestion and original code)
    o Added export_pixels_to_str method to the Image class
    o Provided default arguments to Image#export_pixels
    o Added "order" option to Image#ordered_dither
    o Added cyan, magenta, yellow, and black attribute accessors to the Pixel class
    o Added CineonLogRGBColorspace, LABColorspace, Rec601LumaColorspace,
      Rec601YCbCrColorspace, Rec709LumaColorspace, Rec709YCbCrColorspace,
      LogColorspace enumerators to the ColorspaceType enumeration class.
    o Fixed bug #2844, Image#to_blob exits if the image is a 0x0 JPEG
    o Fixed bug #2688, Image#annotate, Draw#get_multiline_type_metrics handle
      newline characters properly
    o Tested with ImageMagick 6.2.6
    o Removed support for all versions of ImageMagick prior to 6.0.0

RMagick 1.9.3
    o Feature #2521, add Image#distortion_channel method
    o Fixed bug #2546, ImageList#to_blob builds multi-image blobs again. (ImageMagick 6.2.0
      silently broke the ImageToBlob method.) Thanks to Tom Werner for reporting this bug.
    o Test with GraphicsMagick 1.1.7

RMagick 1.9.2
    o Feature #2412, add the virtual_pixel_method attribute and the VirtualPixelMethod
      enumeration
    o Feature #2462, add the ticks_per_second attribute

RMagick 1.9.1
    o Fixed bug #2157, Image#total_colors is now an alias of Image#number_colors
    o Fixed bug #2155, Image#dispose= now accepts a DisposeType enum, #dispose
      now returns a DisposeType enum.
    o Fixed bug #2156, Image#properties no longer returns garbage for the property
      name and value.
    o Fixed bug #2190, Image#compose now returns a CompositeOperator
    o Fixed bug #2191, Image#composite no longer abends when called with 0 arguments
    o Fixed bug #2213, ImageList#montage method no longer leaves the imagelist corrupt
      after raising an ImageMagickError
    o Feature #2159, added GrayChannel ChannelType enum value, BlendCompositeOp and
      ColorBurnCompositeOp CompositeOperator enum values, RLECompression CompressionType
      enum value, deprecate RunlengthCompression
    o Feature #2172, added optional argument to crop and crop! to reset the saved
      page offsets after cropping
    o Deprecated Image#channel_threshold. This method is deprecated in ImageMagick.
    o Feature #2373, change Image#import_pixels to accept a pixel data buffer as well
      as a pixel data array. (Thanks to Ara T. Howard for this suggestion!)
    o Fixed to compile without errors with ImageMagick 6.2.4-4.

RMagick 1.9.0
    o Added Image#monitor=, Image::Info#monitor=. Deprecated Magick.set_monitor.
    o Fixed bug #2070, support color names with embedded spaces
    o Fixed bug #2109, properly scope Magick constants in RVG

RMagick 1.8.3
    o Tested with ImageMagick 6.2.3-2
    o Added comment, delay, dispose, fill, gravity, and label attributes to
      Image::Info

RMagick 1.8.2
    o Fix bug #1983, potential buffer overflow in version_constants
    o Added feature #2015, support the pointsize, authenticate,
      and sampling_factor attributes in Image::Info

RMagick 1.8.1
    o Fix bugs #1876, #1888, #1919
    o Added feature #1941, RVG's polyline, polygon accept array arguments
    o Numerous fixes to the RVG documentation

RMagick 1.8.0
    o Added Image#shadow (ImageMagick 6.1.7)
    o Added Image::Info#undefine, #[], #[]=
    o Added sigmoidal_contrast_channel, sepiatone to Image class (ImageMagick 6.2.1)
    o Added JPEG2000Compression constant (ImageMagick 6.2.2)
    o Incorporated RVG classes
    o Added RVG documentation, examples, updated installer
    o Tested with ImageMagick 6.2.2-0, latest GraphicsMagick 1.2

RMagick 1.7.4
    o Fix bug #1727
    o Fix affine_transform.rb
    o Tested with ImageMagick 6.2.1

RMagick 1.7.3
    o Fix bug #1553, a build issue with ImageMagick 6.0.x

RMagick 1.7.2
    o Fix bugs #1308, #1310, #1314, #1533

RMagick 1.7.1
    o Fix bugs #1250, #1253
    o Tested with ImageMagick 6.1.7, Ruby 1.8.2

RMagick 1.7.0
    o Added splice, set_channel_depth to Image class (ImageMagick 6.0.0)
    o Added sharpen_channel, blur_channel to Image class (ImageMagick 6.0.1)
    o Added get_multiline_type_metrics to Draw class (ImageMagick 6.1.5),
      added new example scripts and images
    o Added normalize_channel, unsharp_mask_channel to Image class
      (ImageMagick 6.1.0)
    o Added read_inline to Image class
    o Renamed channel_compare to compare_channel, retained old name as an alias
      for backward compatibility.
    o Added default values for unsharp_mask arguments
    o Fixed bug #1193
    o Fixed segfault in destroy_Draw when Ruby gc'd the temp file name
      array before calling destroy_Draw
    o Tested with ImageMagick 6.1.6, GraphicsMagick 1.1.4, Ruby 1.8.2preview3.

RMagick 1.6.2
    o Fixed ImageList#deconstruct to return an imagelist
    o Fixed installation procedure to propagate user's CFLAGS, CPPFLAGS,
      and LDFLAGS through to the low-level Makefile
    o Fixed bugs #1048, #1127

RMagick 1.6.1
    o Changed to match changes in ImageMagick 6.1.4 API
    o Fixed bug #950

RMagick 1.6.0
    o Added posterize, gaussian_blur_channel, convolve_channel methods to Image class
      (ImageMagick 6.0.0)
    o Added new CompositeOperator constants (ImageMagick 6.0.0)
    o Added trim and trim! methods to Image class
    o Added each method to Enum subclasses
    o Added stroke_width= attribute to the Draw class
    o Fixed bugs #624, #642, #716, applied patch #819 (thanks to Daniel Quimper)
    o Tested with ImageMagick 6.0.5-2, GraphicsMagick 1.1.3, Ruby 1.8.2

RMagick 1.5.0
    o Added meaningful implementations of dup and clone to the Image and Draw
      classes. Clarified the documentation.
    o Do not allow changes to frozen Image, ImageList, and Draw objects.
    o Raise TypeError if freeze method sent to Image::Info or ImageList::Montage
      object.
    o Added view method to Image, Image::View class (thanks to Ara T. Howard and
      Charles Comstock on c.l.r for the discussion which prompted me to add this class)
    o Added grayscale_pseudo_class method to Image class (GraphicsMagick 1.1)
    o Added radial_blur, random_threshold_channel methods to Image class
      (ImageMagick 6.0.0)
    o Added quantum_operator method to Image class (GraphicsMagick 1.1, ImageMagick 6.0.0)
    o Added statistics method to Image class (GraphicsMagick 1.1)
    o Support channel_extrema, channel_mean with GraphicsMagick 1.1
    o Added endian attribute to Image class
    o Added composite! method to Image class
    o Deprecated random_channel_threshold method when linked with ImageMagick 6.0.0.

RMagick 1.4.0
    o Revised and updated documentation
    o Implemented enumeration values as instances of an Enum
      class. Based on a description by Paul Brannon in ruby-talk 79041.
    o Added HSLColorspace, HWBColorspace constants (ImageMagick 5.5.7,
      GraphicsMagick 1.0.2)
    o Added CopyCyanCompositeOp, CopyMagentaCompositeOp,
      CopyYellowCompositeOp, CopyBlackCompositeOp constants (ImageMagick 5.5.7,
      GraphicsMagick 1.1)
    o Added ReplaceCompositeOp. CopyCompositeOp constants (ImageMagick 6.0.0)
    o Added color_histogram to Image class. (ImageMagick 6.0.0, GraphicsMagick 1.1)
    o Added define method to Image::Info class (ImageMagick 6.0.0, GraphicsMagick 1.1)
    o Added tint, each_profile, channel_extrema, channel_compare,
      channel_depth, channel_mean, quantum_depth, preview, gamma_channel,
      negate_channel, bilevel_channel methods to Image class (ImageMagick 6.0.0)
    o Added get_exif_by_entry, get_exif_by_tag to Image class
    o Added border! method to Image class
    o Added fcmp, intensity methods to Pixel class
    o Added Version_long constant
    o The 'fuzz' attribute in the Image and ImageInfo classes now
      accepts a percentage value as well as a numeric value.
    o Added Geometry class and changed all methods that accept a geometry
      string to accept a Geometry object as well
    o Added dup and clone methods to the ImageList, Image, and Draw
      classes (Fix for bug #254.)
    o Tested with latest ImageMagick 6.0.0 beta and GraphicsMagick 1.1 snapshot

RMagick 1.3.2
    o Fix profile! to require only 2 arguments, as documented.
    o Correct spelling of 'transparent' in text_antialias.rb example.
    o Add output of `Magick-config --libs` to LIBS variable in configure
    o Minor fixes in documentation
    o Test with GraphicsMagick 1.0.4
    o Test with latest ImageMagick 5.5.8 beta

RMagick 1.3.1
    o Fixed default base URI in the links to the installed xMagick doc
    o Applied the patch for bug #76 that caused the rubyname.rb example
      to hang when installing on FreeBSD.
    o Fixed the <=> method in Image to return nil when the class of the
      other object is not Image
    o Added code to ensure that the `text' argument to Draw#text is not
      nil or empty
    o Fixed the handle_error function to re-initialize the exception
      structure after destroying its contents.

RMagick 1.3.0
    o Added strip!, import_pixels, export_pixels, random_channel_threshold
      to the Image class. (Available only with ImageMagick 5.5.8, which
      is still in beta.)
    o Added black_threshold and white_threshold to the Image class.
    o Added format= attribute writer to the Image class
    o Added monochrome= attribute writer to the Image::Info class
    o Added annotate to the Image class.
    o Made the image argument to get_type_metrics optional. (Thanks to
      Hal Fulton for suggesting this change and the annotate change!)
    o Enhance the read, write, and ping methods in both the Image
      class and the ImageList class to accept an open File object as
      well as a filename argument.
    o Added change_geometry to the Image class
    o Changed configure to generate top-level Makefile with install
      and uninstall targets. (Thanks to Bob Friesenhahn for the
      suggestion and the the Makefile!)
    o Incorporated 1.2.2.1 patch to correct problems when building
      with Ruby 1.6.7.
    o Added "magick_location" attribute to the ImageMagickError
      class. (Available only with GraphicsMagick 1.1, not yet released.)
    o Tested with ImageMagick 5.5.8 beta
    o Tested with GraphicsMagick 1.0.2 and 1.1 snapshot
    o Tested with Ruby 1.8.0
    o Changed to MIT license

RMagick 1.2.2
    o Fixed many bugs in configuration script
    o Added support for GraphicsMagick 1.0 (with assistance from Bob Friesenhahn)
    o Changed default documentation directory (--doc-dir option default) to
      $prefix/share/RMagick
    o Added "examples" directory to contain example programs that aren't
      referenced by the documentation

RMagick 1.2.1
    o Yet another fix to the Cygwin installation procedure

RMagick 1.2.0
    o Changed install to work correctly on Cygwin
      (Cygwin testing by Yuki Hirakawa and David Martinez Garcia.)
    o Changed install to support Gentoo ebuild
      (Gentoo support provided by Tom Payne.)
    o Changed configure script to find IM doc in IM 5.5.7
    o Added Image#capture
    o Added optional matte_pct argument to Image#colorize
    o Add default argument values to Image#gaussian_blur
    o Fix bug in Image#store_pixels that prevented it from working with
      GIF and other PseudoClass image formats
    o Changed Image#crop and Image#crop! to accept a GravityType constant
      as the first argument, instead of the x- and y-offset arguments.
      (Suggested by Robert Wagner.)
    o Added Image::Info#filename=, image_type=
    o Added ImageList#__map__ as an alias for Enumerable#map
    o Added fetch, insert, select, reject methods to ImageList class for
      Ruby 1.8.0
    o Undefined zip and transpose methods in ImageList class for Ruby 1.8.0
    o ImageMagick 5.5.7 supported

RMagick 1.1.0
    o Fixed bug in handle_error that caused an abend when linked with IM 5.5.6
    o Added RMAGICK image "format". When read, returns 252x108 RMagick logo
      in PNG format.
    o Changed examples to give all floating point constants a leading digit.
    o Added Image#rotate!
    o Tested with Ruby 1.8.0preview2
    o Added Image#extract_info, Image::Info#extract=, Image::Info#scene=,
      Image::Info#number_scenes=, Image::Info#tile=
    o Added Draw#text_align, Draw#text_anchor, Draw#text_undercolor
    o ImageMagick 5.5.6 supported

RMagick 1.0.0
    o Fixed warnings when compiling with Ruby 1.8.0
    o Added Draw#rotation=, rotated_text.rb
    o Fixed temp image files in Montage_texture and Draw_composite
    o ImageMagick 5.5.5 supported

RMagick 0.9.5
    o Added channel.rb example
    o Fixed install problems with IM 5.5.1

RMagick 0.9.4
    o Cleaned up documentation.
    o Added logging methods Magick.set_log_event_mask and Magick.set_log_format
    o Added Magick.set_monitor
    o Added custom serialization methods _dump and _load to Image class.
      Added marshaling section to usage doc.
    o Added Image#mime_type
    o Changed install to use autoconf-generated configure script
    o Replaced makedoc.rb with post-install.rb hook
    o Added rmconst.rb utility script
    o ImageMagick 5.5.4 supported

RMagick 0.9.3
    o Changed ImageList#<=> to use same algorithm as Array#<=>
    o Changed Draw class variables to class constants
    o Fixed bug in Magick::colors method that caused some colors
      to be repeated or missed when the optional block is used
    o Changed fill classes to not inherit from common Fill class.
      Removed Fill class.
    o Improved usage documentation
    o Added Image#level_channel, introduced with IM 5.5.3
    o ImageMagick 5.5.3 supported
    o Ruby 1.6.8, 1.8.0preview1 supported

RMagick 0.9.2
    o Added crop!, flip!, flop!, magnify!, minify!, resize!, sample!,
      scale!, shave!, channel_threshold methods to Image class
    o Documented DisposeType, ColorSeparationMatteType and OptimizeType
      constants
    o Changed Image#<=>, ImageList#<=> to raise TypeError if the other
      argument is not in the same class
    o Deleted Image#==, ImageList#==, include Comparable in both classes
    o Added Image#thumbnail, thumbnail!, adaptive_threshold for 5.5.2 & later
    o Used image list functions in 5.5.2 & later
    o ImageMagick 5.5.2 supported
    o Removed last vestiges of 5.4.9 support

RMagick 0.9.1
    o Added -Wl,rpath option to $LDFLAGS in extconf.rb
    o #include <sys/types.h> in rmagick.h
    o Changed set_cache_threshold to call SetMagickResourceLimit instead of SetCacheThreshold
    o Changed Image_texture_flood_fill to clone texture image instead of adding a reference
    o Many fixes to the Array methods in ImageList
    o Defined Image#<=>, defined Image#== in terms of Image#<=>
    o Defined ImageList#<=> in terms of Image#<=>

RMagick 0.9.0
    1st beta
